language-puppet: Tools to parse and evaluate the Puppet DSL.

[ bsd3, library, program, system ] [ Propose Tags ]

This is a set of tools that is supposed to fill all your Puppet needs : syntax checks, catalog compilation, PuppetDB queries, simulationg of complex interactions between nodes, Puppet master replacement, and more !

Versions [faq] 0.1.3, 0.1.4, 0.1.5, 0.1.6, 0.1.7, 0.1.7.2, 0.1.8.0, 0.2.0, 0.2.0.1, 0.2.0.2, 0.2.2.0, 0.3.0.0, 0.3.1.0, 0.3.2, 0.4.0, 0.4.2, 0.10.0, 0.10.1, 0.10.2, 0.10.3, 0.10.4, 0.10.5, 0.10.6, 0.11.0, 0.11.1, 0.11.1.1, 0.12.0, 0.12.1, 0.12.2, 0.12.3, 0.13.0, 0.14.0, 1.0.0, 1.0.1, 1.1.0, 1.1.1, 1.1.1.1, 1.1.1.2, 1.1.3, 1.1.3.1, 1.1.4, 1.1.4.1, 1.1.5, 1.1.5.1, 1.2, 1.3, 1.3.1, 1.3.1.1, 1.3.2, 1.3.2.1, 1.3.3, 1.3.4, 1.3.4.1, 1.3.5, 1.3.5.1, 1.3.6, 1.3.7, 1.3.8, 1.3.8.1, 1.3.9, 1.3.10, 1.3.11, 1.3.12, 1.3.12.1, 1.3.13, 1.3.14, 1.3.15, 1.3.16, 1.3.17, 1.3.18, 1.3.18.1, 1.3.19, 1.3.19.1, 1.3.20, 1.3.20.1, 1.4.0, 1.4.1, 1.4.2, 1.4.3, 1.4.4, 1.4.5, 1.4.6, 1.4.6.1, 1.4.6.2
Change log CHANGELOG.markdown
Dependencies aeson (>=0.8), ansi-wl-pprint (==0.6.*), attoparsec (>=0.12), base (>=4.8 && <5), base16-bytestring (==0.1.*), bytestring, case-insensitive (==1.2.*), containers (==0.5.*), cryptonite (>=0.6), directory (>=1.2 && <1.4), either (>=4.3 && <4.5), exceptions (==0.8.*), filecache (>=0.2.9 && <0.3), formatting, Glob, hashable (==1.2.*), hruby (>=0.3.2 && <0.4), hslogger (==1.2.*), hspec, http-api-data (>=0.2 && <0.4), http-client (>=0.4.30 && <0.6), language-puppet, lens (>=4.12 && <5), lens-aeson (>=1.0), megaparsec (==5.*), memory (>=0.7), mtl (>=2.2.1 && <2.3), operational (>=0.2.3 && <0.3), optparse-applicative, parallel-io, parsec (==3.1.*), pcre-utils (>=0.1.7 && <0.2), process (>=1.2 && <1.6), random, regex-pcre-builtin (>=0.94.4), scientific (>=0.2 && <0.4), semigroups, servant (>=0.9 && <1), servant-client (>=0.9 && <1), split (==0.2.*), stm (==2.4.*), strict-base-types (>=0.3), text (>=0.11), time (>=1.5 && <2), transformers (>=0.4 && <0.6), unix (==2.7.*), unordered-containers (==0.2.*), vector (>=0.10), yaml (>=0.8.8 && <0.9) [details]
License BSD-3-Clause
Author Simon Marechal
Maintainer bartavelle@gmail.com
Revised Revision 1 made by HerbertValerioRiedel at Tue Aug 29 09:13:10 UTC 2017
Category System
Home page http://lpuppet.banquise.net/
Source repo head: git clone git://github.com/bartavelle/language-puppet.git
Uploaded by SimonMarechal at Tue Mar 14 17:13:16 UTC 2017
Distributions LTSHaskell:1.4.5, NixOS:1.4.6.2
Executables pdbquery, puppetresources
Downloads 42519 total (2804 in the last 30 days)
Rating 2.0 (votes: 1) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs not available [build log]
All reported builds failed as of 2017-03-14 [all 3 reports]

Modules

  • Erb
    • Erb.Evaluate
    • Erb.Parser
    • Erb.Ruby
  • Facter
  • Hiera
    • Hiera.Server
  • Puppet
    • Puppet.Daemon
    • Puppet.Interpreter
      • Puppet.Interpreter.IO
      • Puppet.Interpreter.PrettyPrinter
      • Puppet.Interpreter.Pure
      • Puppet.Interpreter.Resolve
        • Puppet.Interpreter.Resolve.Sprintf
      • Puppet.Interpreter.Types
      • Puppet.Interpreter.Utils
    • Puppet.Lens
    • Puppet.NativeTypes
      • Puppet.NativeTypes.Helpers
    • Puppet.OptionalTests
    • Puppet.PP
    • Puppet.Parser
      • Puppet.Parser.PrettyPrinter
      • Puppet.Parser.Types
    • Puppet.Preferences
    • Puppet.Puppetlabs
    • Puppet.Stats
    • Puppet.Stdlib
    • Puppet.Utils
  • PuppetDB
    • PuppetDB.Common
    • PuppetDB.Dummy
    • PuppetDB.Remote
    • PuppetDB.TestDB
  • SafeProcess

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees